Subject: RE: [External] : Re: bug#60587: Patch for adding links to symbols' help documentation

From: Drew Adams <[email-masked]>
Date: Thu, 26 Jan 2023 15:23:09 +0000

> >> > 2. Instead of putting it on the hook when loading
> >> > the code, add/remove it in a :set function.  E.g.
> >> > (untested):...
> >> >
> >> > 3. Maybe add a toggle command for the option, so
> >> > users can switch the behavior anytime, on the fly.
> >>
> >> What about using `add-variable-watcher'?
> >
> > Did you mean for #2: when/where to add the function
> > to the hook?  Or did you mean use a watcher instead
> > of #3, a toggle command?
> 
> Both. Rather than searching for a dedicated "toggle" command, setting
> the variable with then trigger the hook addition/removal.

Doesn't matter what I think here, and I may
be missing your point.  But, in case it helps:

1. :set takes care of what you say.  And it's
   specifically for (1) only setting and (2)
   only user options.

2. I don't see how a watcher provides users
   with a command, to interactively toggle
   the value.

3. Cf. the suggestion to use a minor mode.